【OSX】OSX下采用MAMP的PHP替换系统自带PHP

2017-01-13 10:53:12来源:csdn作者:diandianxiyu人点击

第七城市
OSX下采用MAMP的PHP替换系统自带PHP前言

众所周知,OSX自带了PHP和Apache,显然这些不是我们需要的。 很多人都会安装集成环境作为自己的开发环境。比如我选择的是MAMP,PHP的版本是7.0.

问题

我在OSX的终端中,执行php -v,出现的是自带的PHP5.5

yu@bogon ~ $ php -v
PHP 5.5.31 (cli) (built: Feb 20 2016 20:33:10)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2015 Zend Technologies

这样就会出现在运行一些框架的命令行工具,比如Yii、Laravel,会出现问题。

解决方案删除自带php和apache

OSX之所以会自带apache和php环境,是因为一些系统工具会使用,如果删掉的话,可能导致某些工具不能使用。

不推荐这个方法。

添加到环境变量查看所用的bashecho $SHELL
csh或者tcsh,C Shell
bash,sh,zsh,Bourne Shell
修改配置文件

我们可以修改的配置文件有下面几种


/etc/profile,全局环境变量,不要修改
/etc/bashrc,系统级环境变量,可以修改
~/.bash_profile ,用户级环境变量,可以修改

经过测试,居然都没有生效。。。。

所以采用最后的方式。

alias 别名

由于我采用的是zsh,所修改的配置文件的位置是~/.zshrc

在配置文件的最后增加alias,让php命令直接指向MAMP的php路径

alias php="/Applications/mamp/php/bin/php"

采用这种方式的原因是


安全,不影响其他软件调用系统PHP
方便,当前用户会直接调用PHP7,如果我把MAMP删掉的话,可以直接修改alias,避免出现更多意外的bug
结果yu@bogon ~ $ php -v
PHP 7.0.0 (cli) (built: Dec4 2015 01:16:36) ( NTS )
Copyright (c) 1997-2015 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2015 Zend Technologies
with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2015, by Zend Technologies参考资料
http://stackoverflow.com/questions/4145667/how-to-override-the-path-of-php-to-use-the-mamp-path
http://blog.sina.com.cn/s/blog_68431a3b0102vpny.html
https://www.zhihu.com/question/20916296
http://elf8848.iteye.com/blog/1582137
第七城市

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台